/*
 ***********************************************************************************************************************
 *
 * Copyright (c) Infineon Technologies AG
 * All rights reserved.
 *
 * The applicable license agreement can be found at this pack's installation directory in the file
 * license/IFX_SW_Licence_MOTIX_LITIX.txt
 *
 **********************************************************************************************************************/
 
/*******************************************************************************
**                             Author(s) Identity                             **
********************************************************************************
** Initials     Name                                                          **
** ---------------------------------------------------------------------------**
** MK           Martin Kilian                                                 **
** JO           Julia Ott                                                     **
*******************************************************************************/

/*******************************************************************************
**                          Revision Control History                          **
********************************************************************************
** V0.1.0: 2021-05-14, MK:   Initial version of the example (C code, TLE987x) **
** V1.0.0: 2022-09-06, JO:   Ported example from TLE987x to TLE989x           **
** V1.0.1: 2024-10-04, JO:   EP-1494: Updated license                         **
*******************************************************************************/

#ifndef TIMER_LIB_H
#define TIMER_LIB_H

/*******************************************************************************
**                                  Includes                                  **
*******************************************************************************/
#include "tle_device.h"
#include "timer_defines.h"

/*******************************************************************************
**                         Global Function Declarations                       **
*******************************************************************************/
uint32 COMMUTATION_Timer_Handling(uint32 ticks);
uint32 HALL_Timer_Handling(uint32 ticks);


#endif
