/*
 ***********************************************************************************************************************
 *
 * Copyright (c) Infineon Technologies AG
 * All rights reserved.
 *
 * The applicable license agreement can be found at this pack's installation directory in the file
 * license/IFX_SW_Licence_MOTIX_LITIX.txt
 *
 **********************************************************************************************************************/

/*******************************************************************************
**                             Author(s) Identity                             **
********************************************************************************
** Initials     Name                                                          **
** ---------------------------------------------------------------------------**
** AA           Abhilash Abhilash                                             **
** JO           Julia Ott                                                     **
*******************************************************************************/

/*******************************************************************************
**                          Revision Control History                          **
********************************************************************************
** V1.0.0: 2020-10-21, AA:   EP-925: Initial version                          **
** V1.0.1: 2024-10-04, JO:   EP-1494: Updated license                         **
*******************************************************************************/

#ifndef _KEYWRITE_H
#define _KEYWRITE_H


/*******************************************************************************
**                                  Includes                                  **
*******************************************************************************/
#include "bootrom.h"
#include "types.h"

/*******************************************************************************
**                          Global Macro Declarations                         **
*******************************************************************************/

/** \brief IO buffer size */ 
#define TLE989X_BUFFER_SIZE (64u)

/** \brief CMAC length */ 
#define CMAC_LENGTH (16u)

/** \brief Enabling or disabling the truncation of CMAC length */ 
#define TRUNCATION (0u)

/** \brief Initialization vector length */ 
#define IV_LENGTH (16u)

/*******************************************************************************
**                         Global Function Declarations                       **
*******************************************************************************/
sint8 writeUserKey(user_key_t *sp_inpKey, uint16 u16_keyId);


#endif /* _KEYWRITE_H  */

